Subject: RE: [Sip] willis-sip-answeralert-00

From: "Francois Audet" <[email-masked]>
Date: Wed, 3 Aug 2005 03:58:17 -0500

Dean, this is the post on the list I was talking about.

What I am suggesting is some wording in section 1 to the
effect that this a generic mechanism with many use cases
(as opposed to just the 2 listed). 

I would also like to add something like the following in
section 1:

	A third use case is for "Intercom calls" applications that
	allow a user to page a device and start talking right away. This
	is very common in Enterprises in Boss-Secretary type features,
	or for announcements. Typically it implies a phone device with
	a speakerphone.

	There are many other applications where this mechanism may
	be useful, anytime an application requires automatic 
	answering.

The other part of my comments probably needs more discussion, but
in summary:

- We should make the parameters more explicit about what they do
  at a technical level. 

- The parameters should not be limited to an INVITE initiating a
  session. For example, I can see many uses for re-INVITEs or
  UPDATE for features "overriding" alerting.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Audet, Francois [SC100:9T51:EXCH]
> Sent: Friday, July 29, 2005 12:59
> To: Cullen Jennings; [email-masked]
> Cc: Dean Willis
> Subject: RE: [Sip] willis-sip-answeralert-00
> 
> 
> This answeralert stuff is quite useful.
> 
> The document talks about it's applicability to Push-to-talk.
> 
> I would also like to see a mention of it's usefulness for
> other features.
> 
> In particular, you can use it for Intercom call features
> (like on any traditional PBX).
> 
> Also, it would be extremely useful to allow the answer-mode to be
> allowed in an UPDATE (and re-INVITE). That would enable many 
> features that are available today on traditional PBXs 
> (secretary override, and other fun stuff difficult to do today). 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip